Skip to main content
GET
/
security
/
sifter
/
v3
/
profiles
/
all
List all protection profiles
curl --request GET \
  --url https://api.gcore.com/security/sifter/v3/profiles/all \
  --header 'Authorization: <api-key>'
[
  {
    "client_id": 3,
    "created_at": "2025-06-15T10:30:00Z",
    "id": 10,
    "modified_at": "2025-07-20T14:45:00Z",
    "name": "Web Server Protection",
    "networks": [
      "192.168.1.0/24",
      "10.0.0.0/16"
    ],
    "template": {
      "id": 1,
      "name": "DDoS Protection Standard"
    }
  }
]

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

name
string | null

Filter by name

Maximum string length: 255
client_id
integer | null

A positive integer ID

Required range: 1 <= x <= 1000000000
order_by
string | null

Ordering, e.g. 'created_at,name'

Maximum string length: 255

Response

Successful Response

id
integer
required

Identifier for the protection profile

name
string
required

Name of the protection profile

template
ProfileTemplateInProfile · object
required

Associated profile template

Example:
{
"id": 1,
"name": "DDoS Protection Standard"
}
created_at
string<date-time>
required

Timestamp when the profile was created

networks
(string<ipv4network> | string<ipv6network>)[]
required
client_id
integer | null

Identifier of the client owning this profile

modified_at
string<date-time> | null

Timestamp of the last modification